/*
 * $Header: /home/cvs/jakarta-slide/src/stores/org/apache/slide/store/txfile/rm/ResourceManagerSystemException.java,v 1.2.2.1 2004/02/05 16:07:53 mholz Exp $
 * $Revision: 1.2.2.1 $
 * $Date: 2004/02/05 16:07:53 $
 *
 * ====================================================================
 *
 * Copyright 1999-2002 The Apache Software Foundation 
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */

package org.apache.slide.store.txfile.rm;

/**
 * Signals an internal system error in a {@link ResourceManager}.
 * 
 * @author <a href="mailto:ozeigermann@c1-fse.de">Oliver Zeigermann</a>
 *
 */
public class ResourceManagerSystemException extends ResourceManagerException {
    public ResourceManagerSystemException(String message, int status, Object txId, Throwable cause) {
        super(message, status, txId, cause);
    }

    public ResourceManagerSystemException(String message, int status, Object txId) {
        super(message, status, txId);
    }

    public ResourceManagerSystemException(int status, Object txId, Throwable cause) {
        super(status, txId, cause);
    }

    public ResourceManagerSystemException(int status, Object txId) {
        super(status, txId);
    }
}
